1. Product
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
      GET
    • Get Product By ID
      GET
    • products with inventory
      GET
    • product details with Inventory By Product ID
      GET
    • Product Variant List ID & Name
      GET
    • Variant Details By Variant ID
      GET
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Product

Get Product List

GET
/api/v1/products

Product List#

Purpose#

Retrieve product records available in VasyERP.

Why would you use this?#

Use this API when your system needs to access, synchronize, or display product information stored in VasyERP.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
limitYesNumber of product records to retrieve per request
offsetYesNumber of records to skip for pagination

Information Returned#

This API returns product-related information including:
Product ID
Product Name
Item Code
MRP
Selling Price
Discount Information
HSN Code
Product Type
Brand
Category
Department
Product Status
Measurement Unit
Last Modified Information

Example Use Case#

An eCommerce website wants to display products maintained in VasyERP.
Using this API, the website can:
Retrieve product catalogs
Display product pricing
Synchronize inventory products
Update product information periodically
Build category and brand-wise product listings

Important Notes#

Product records are returned in paginated format.
Use the limit and offset parameters when retrieving large product datasets.

Request

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/products?limit=2&offset=0' \
--header 'api-token: {{.in-api-token}}'
Response Response Example
200 - Example
{
    "status": true,
    "message": "Product List",
    "code": "200",
    "response": {
        "totalCount": 12751,
        "productList": [
            {
                "productId": 18313750,
                "discount": 2998.72,
                "discountType": "amount",
                "itemCode": "BAR071",
                "productName": "Oppo Reno 14 Pro",
                "mrp": 35999.0,
                "sellingPrice": 33000.28,
                "hsnCode": "85171300",
                "active": true,
                "activeOnline": false,
                "description": "<p><br></p>",
                "shortDescription": "",
                "lastModifiedDate": "2026-06-17 15:36:46.804508+05:30",
                "productType": "Finished",
                "brand": "Oppo",
                "category": "Smartphone",
                "department": "Other",
                "lastModifiedBy": "my business",
                "measurement": "PIECES"
            },
            {
                "productId": 18313749,
                "discount": 0.0,
                "discountType": "percentage",
                "itemCode": "BAR067",
                "productName": "Dairy Milk Silk",
                "mrp": 118.0,
                "sellingPrice": 118.0,
                "hsnCode": "",
                "active": true,
                "activeOnline": false,
                "description": "<p><br></p>",
                "shortDescription": "",
                "lastModifiedDate": "2026-06-09 15:25:28.780838+05:30",
                "productType": "Finished",
                "brand": "Cadbury",
                "category": "Fresh",
                "department": "Food",
                "lastModifiedBy": "my business",
                "measurement": "tablet"
            }
        ]
    }
}
Previous
Get Additional Charge List
Next
Get Product By ID
Built with